Bug 1285331 - CVE-2015-7515 kernel: aiptek: crash on invalid USB device descriptors [fedora-all]
CVE-2015-7515 kernel: aiptek: crash on invalid USB device descriptors [fedora...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-7515
  Show dependency treegraph
 
Reported: 2015-11-25 07:03 EST by Vladis Dronov
Modified: 2015-12-16 09:36 EST (History)
9 users (show)

See Also:
Fixed In Version: kernel-4.2.7-200.fc22 kernel-4.2.7-300.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 04:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aiptek-null-deref.patch (1.76 KB, patch)
2015-11-25 11:08 EST, Vladis Dronov
no flags Details | Diff

  None (edit)
Description Vladis Dronov 2015-11-25 07:03:38 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vladis Dronov 2015-11-25 07:03:46 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1285326,1285331

# Description of your update
notes=Security fix for CVE-2015-7515

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1285326,1285331
Comment 3 Vladis Dronov 2015-11-25 11:08 EST
Created attachment 1098898 [details]
aiptek-null-deref.patch
Comment 4 Vladis Dronov 2015-11-25 18:15:45 EST
Proposed upstream patch: http://www.spinics.net/lists/linux-input/msg42294.html
Comment 5 Josh Boyer 2015-12-01 14:38:24 EST
(In reply to Vladis Dronov from comment #4)
> Proposed upstream patch:
> http://www.spinics.net/lists/linux-input/msg42294.html

This resulted in a different approach that solves it at the USB core level:

http://www.spinics.net/lists/linux-input/msg42369.html

If this were to go upstream, that would likely solve both this bug and bug 1270160, correct?
Comment 6 Josh Boyer 2015-12-01 14:44:01 EST
(In reply to Josh Boyer from comment #5)
> (In reply to Vladis Dronov from comment #4)
> > Proposed upstream patch:
> > http://www.spinics.net/lists/linux-input/msg42294.html
> 
> This resulted in a different approach that solves it at the USB core level:
> 
> http://www.spinics.net/lists/linux-input/msg42369.html
> 
> If this were to go upstream, that would likely solve both this bug and bug
> 1270160, correct?

Nevermind.  It looks like upstream dropped that immediate patch for now.
Comment 7 Josh Boyer 2015-12-01 15:07:05 EST
Fixed in git on all active Fedora branches.  Thanks for the patch and the work upstream!
Comment 8 Fedora Update System 2015-12-10 09:44:30 EST
kernel-4.2.7-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac9a19888e
Comment 9 Fedora Update System 2015-12-10 09:45:43 EST
kernel-4.2.7-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4ed00a68f
Comment 10 Fedora Update System 2015-12-11 01:00:45 EST
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac9a19888e
Comment 11 Fedora Update System 2015-12-11 14:57:18 EST
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4ed00a68f
Comment 12 Fedora Update System 2015-12-16 03:24:20 EST
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-16 04:51:16 EST
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-16 09:35:24 EST
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.